Create Invoice
curl --request POST \
--url https://api.example.com/{version}/invoices/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"counterparty_id": 123,
"currency": "<string>",
"note": "<string>",
"fee_bearer": "<string>",
"as_payment_link": true,
"reference_id": "<string>",
"due_date": "2023-11-07T05:31:56Z"
}
'{
"id": 123,
"invoice_number": "<string>",
"counterparty_id": 123,
"currency": "<string>",
"total_amount": 123,
"status": "<string>",
"note": "<string>",
"fee_bearer": "<string>",
"due_date": "2023-11-07T05:31:56Z",
"as_payment_link": true,
"owner_id": 123,
"owner_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"reference_id": "<string>",
"paid_at": "2023-11-07T05:31:56Z"
}invoices
Create Invoice
POST
/
{version}
/
invoices
/
create
Create Invoice
curl --request POST \
--url https://api.example.com/{version}/invoices/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"counterparty_id": 123,
"currency": "<string>",
"note": "<string>",
"fee_bearer": "<string>",
"as_payment_link": true,
"reference_id": "<string>",
"due_date": "2023-11-07T05:31:56Z"
}
'{
"id": 123,
"invoice_number": "<string>",
"counterparty_id": 123,
"currency": "<string>",
"total_amount": 123,
"status": "<string>",
"note": "<string>",
"fee_bearer": "<string>",
"due_date": "2023-11-07T05:31:56Z",
"as_payment_link": true,
"owner_id": 123,
"owner_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"reference_id": "<string>",
"paid_at": "2023-11-07T05:31:56Z"
}Authorizations
HTTPBearerHTTPBearer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Allowed value:
"v1"Body
application/json
Response
Successful Response
InvoiceResponse
Three-letter ISO-4217 currency code (e.g. USD, LRD, NGN)
Required string length:
3Amount
Last modified on June 23, 2026
Was this page helpful?
⌘I
